﻿<%@ page language="VB" autoeventwireup="true" inherits="_Default, App_Web_uo-vji_n" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>OnePOS ORDER PAD</title>
    <link href="css/styles20.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="frmLogin" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePartialRendering="True" />

        <script type="text/javascript" language="javascript">
            Sys.WebForms.PageRequestManager.getInstance().add_pageLoaded(pageLoadedHandler)

            function pageLoadedHandler(sender, args) 
            {
                     window.scrollTo(0,0);
            }
        </script>

        <asp:UpdatePanel ID="upLogin" runat="server">
            <ContentTemplate>
                <table class="PageTable" id="tblLogin" runat="server">
                    <tr>
                        <td>
                        </td>
                    </tr>
                    <tr>
                        <td class="SubTitle">
                            User Name</td>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="txtUserName" runat="server" CssClass="TextBox"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td class="SubTitle">
                            Password</td>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="txtUserPassword" runat="server" CssClass="TextBox" TextMode="Password">999</asp:TextBox></td>
                    </tr>
                    <tr>
                        <td class="SubTitle">
                            Section</td>
                    </tr>
                    <tr>
                        <td>
                            <asp:DropDownList ID="cmbSections" runat="server" Width="100%" CssClass="TextBox">
                            </asp:DropDownList></td>
                    </tr>
                    <tr>
                        <td class="SubTitle">
                            Connect to</td>
                    </tr>
                    <tr>
                        <td>
                            <asp:DropDownList ID="cmbMachines" runat="server" Width="100%" CssClass="TextBox">
                            </asp:DropDownList></td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Button ID="cmdLogin" runat="server" CssClass="GreenButtonStyle" Text="Login"
                                OnClick="DoLogin" /></td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
        <asp:UpdatePanel ID="upMenu" runat="server">
            <ContentTemplate>
                <div id="tblMenu" class="PageTable" runat="server" visible="false">
                    <asp:Button ID="cmdLogOut" runat="server" CssClass="RedButtonStyle" Text="Log Out"
                        Width="100px" OnClick="Logout" /><asp:Button ID="cmdMySalePoint" runat="server" CssClass="YellowButtonStyle"
                            Text="..." OnClick="ViewOrderTicket" Width="100px" /><asp:Button ID="cmdHome" runat="server"
                                CssClass="OrangeButtonStyle" Text="Home" OnClick="ShowSelectTable" Width="100px" />
                    <asp:TextBox ID="txtSearchItem" runat="server" AutoPostBack="True" CssClass="TextBox"
                        OnTextChanged="txtSearchItem_TextChanged"></asp:TextBox>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
        <asp:UpdatePanel ID="upOrderPad" runat="server">
            <ContentTemplate>
                <div id="tblChoice" class="PageTable" runat="server" visible="false">
                    <asp:DataList ID="MyDataListTables" runat="server" RepeatColumns="3" RepeatDirection="Horizontal"
                        Width="300px" CellPadding="0" ShowFooter="False" ShowHeader="False">
                        <ItemTemplate>
                            <asp:Button ID="cmdSalePoints" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "SalePointTitle")%>'
                                CssClass='<%# DataBinder.Eval(Container.DataItem, "CSSClass") %>' OnClick="SelectTable" CommandName='<%#DataBinder.Eval(Container.DataItem, "SessionAutoID")%>'
                                Width="99px" />
                        </ItemTemplate>
                    </asp:DataList>
                    <asp:DataList ID="MyDataListNumbers" runat="server" RepeatColumns="3" RepeatDirection="Horizontal"
                        Width="100%">
                        <ItemTemplate>
                            <asp:Button ID="cmdNumbers" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "MyNumber") %>'
                                CssClass='<%# DataBinder.Eval(Container.DataItem, "CSSClass") %>' OnClick="SelectItemQuantity" CommandName='<%# DataBinder.Eval(Container.DataItem, "MyNumber") %>'
                                Width="99px" />
                        </ItemTemplate>
                    </asp:DataList>
                    <asp:DataGrid ID="dgvItemDetails" runat="server" AutoGenerateColumns="False" BackColor="White"
                        BorderColor="White" BorderWidth="0px" CellPadding="1" CellSpacing="1"
                        OnItemCommand="AddItems" Width="300px">
                        <ItemStyle CssClass="BlackButtonStyleL" />
                        <Columns>
                            <asp:ButtonColumn DataTextField="FullItemName"></asp:ButtonColumn>
                            <asp:BoundColumn DataField="ItemDAutoID" Visible="False" HeaderText="ItemDAutoID">
                            </asp:BoundColumn>
                        </Columns>
                    </asp:DataGrid>
                    <asp:DataGrid ID="dgvItemGroup" runat="server" AutoGenerateColumns="False" BackColor="White"
                        BorderColor="White" BorderWidth="0px" CellPadding="1" CellSpacing="1"
                        OnItemCommand="dgvItemGroup_ItemCommand" Width="100%">
                        <ItemStyle CssClass="BlackButtonStyleL" />
                        <Columns>
                            <asp:ButtonColumn DataTextField="ItemGroup"></asp:ButtonColumn>
                            <asp:BoundColumn DataField="ItemGroupID" Visible="False" HeaderText="ItemGroupID">
                            </asp:BoundColumn>
                        </Columns>
                    </asp:DataGrid>
                    <asp:DataList ID="MyDataListItemsView" runat="server" RepeatColumns="1"
                        Width="100%" Font-Bold="False" Font-Italic="False" Font-Overline="False" Font-Strikeout="False"
                        Font-Underline="False">
                        <ItemTemplate>
                            <asp:Button ID="cmdItemQuantity" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "ItemQuantity")%>'
                                CssClass="YellowButtonStyleB" OnClick="AddItemQuantity" CommandName='<%#DataBinder.Eval(Container.DataItem, "InvoiceAutoID")%>'
                                Width="15%" /><asp:Button ID="cmdItemTitle" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "MyItemName")%>'
                                    CssClass="BlackButtonStyleL" CommandName='<%#DataBinder.Eval(Container.DataItem, "InvoiceAutoID")%>'
                                    Width="85%" OnClick="SelectItemTaste" />
                        </ItemTemplate>
                    </asp:DataList>
                    <asp:DataList ID="MyDataListTaste" runat="server" RepeatColumns="1" RepeatDirection="Horizontal"
                        Width="100%" Font-Bold="False" Font-Italic="False" Font-Overline="False" Font-Strikeout="False"
                        Font-Underline="False" RepeatLayout="Flow">
                        <ItemTemplate>
                            <asp:Button ID="cmdTaste" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "MyTaste")%>'
                                CssClass="BlackButtonStyle" OnClick="addItemTaste" CommandName='<%#DataBinder.Eval(Container.DataItem, "MyTaste")%>' />
                        </ItemTemplate>
                    </asp:DataList><table id="tblConfirm" class="PageTable" style="width: 100%"
                            runat="server" visible="false">
                            <tr>
                                <td style="width: 50%"><asp:Button ID="cmdAddNewItem" runat="server" Text="Add More" CssClass="OrangeButtonStyle" /></td>
                                <td style="width: 50%">
                                    <asp:Button ID="cmdAddFavourite" runat="server" Text="Add Favourite" CssClass="OrangeButtonStyle" OnClick="AddFavouriteItems" /></td>
                            </tr>
                        <tr>
                            <td colspan="2">
                                    <asp:Button ID="cmdConfirmedOrder" runat="server" CssClass="GreenButtonStyle" Text="Confirmed" /></td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <asp:Button ID="cmdPreview" runat="server" CssClass="YellowButtonStyle"
                            Text="My Order" OnClick="cmdPreview_Click" /></td>
                        </tr>
                        </table>
                    <asp:TextBox ID="txtItemQuantity" runat="server" AutoPostBack="True" CssClass="TextBox"
                        OnTextChanged="txtItemQuantity_TextChanged"></asp:TextBox></div>
            </ContentTemplate>
        </asp:UpdatePanel>
        &nbsp;
    </form>
</body>
</html>
